(function($) {
	"use strict";
	
	$(document).ready(function() {
		
		
		/*-----------------------------------------------------------------------------------*/
		/*  Set height of header
		/*-----------------------------------------------------------------------------------*/ 			
				function setHeight() {
				var windowHeight = $(window).innerHeight() / 1.5;
				$('.site-header, .site-brand-main').css('height', windowHeight);
			};
			setHeight();
		/*-----------------------------------------------------------------------------------*/
		/*  Manage Sidebar
		/*-----------------------------------------------------------------------------------*/
			$('.openSidebar').click(function() {
				$('.widget-area, #page.site, .openSidebar, .openNav, #toTop, body, .backTh-overlay').toggleClass('sidOpen');
			});
		/*-----------------------------------------------------------------------------------*/
		/*  Manage Menu Nav
		/*-----------------------------------------------------------------------------------*/
			$('.openNav').click(function() {
				$('.navigationOpen, #page.site, .openNav, .openSidebar, body, .backTh-overlay').toggleClass('navOpen');
			});	
		/*-----------------------------------------------------------------------------------*/
		/*  Change Color Sidebar
		/*-----------------------------------------------------------------------------------*/ 
			var $filter = $('.site-header');
			$(window).scroll(function () {
				if ($(window).scrollTop() > $filter.outerHeight() - 50 ) {
					$('.openSidebar, .openNav').addClass("downColor");
				} else if ($(window).scrollTop() < $filter.outerHeight() + 50 ) {
					$('.openSidebar, .openNav').removeClass("downColor");
				}
			});	
		/*-----------------------------------------------------------------------------------*/
		/*  Home icon in main menu
		/*-----------------------------------------------------------------------------------*/ 
			if($('body').hasClass('rtl')) {
				$('.main-navigation .menu-item-home > a').append('<i class="fa fa-home spaceLeft"></i>');
			} else {
				$('.main-navigation .menu-item-home > a').prepend('<i class="fa fa-home spaceRight"></i>');
			}
		/*-----------------------------------------------------------------------------------*/
		/*  Masonry & ImagesLoaded
		/*-----------------------------------------------------------------------------------*/ 	
			if ( $( '#mainTheia' ).length ) {
				var whatText = $('body').hasClass('rtl') ? true : false;
				var $container = $('#mainTheia').masonry();
				$container.imagesLoaded(function(){
					$container.masonry({
					  columnWidth: '.grid-sizer',
					  transitionDuration: '0.3s',
					  isRTL: whatText
					});
				});
			};
		/*-----------------------------------------------------------------------------------*/
		/*  If menu has submenu
		/*-----------------------------------------------------------------------------------*/ 
			$('.main-navigation').find("li").each(function(){
				if($(this).children("ul").length > 0){
					$(this).append("<span class='indicator'></span>");
				}
			});
		/*-----------------------------------------------------------------------------------*/
		/*  Menu Effect if Click
		/*-----------------------------------------------------------------------------------*/ 
				$('.main-navigation ul > li.menu-item-has-children .indicator, .main-navigation ul > li.page_item_has_children .indicator').click(function() {
					$(this).parent().find('> ul.sub-menu, > ul.children').toggleClass('yesOpen');
					$(this).toggleClass('yesOpen');
					var $self = $(this).parent();
					if($self.find('> ul.sub-menu, > ul.children').hasClass('yesOpen')) {
						$self.find('> ul.sub-menu, > ul.children').slideDown(300);
					} else {
						$self.find('> ul.sub-menu, > ul.children').slideUp(200);
					}
				});
		/*-----------------------------------------------------------------------------------*/
		/*  Detect Mobile Browser
		/*-----------------------------------------------------------------------------------*/ 
		if ( /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent) ) {
		} else {
			/*-----------------------------------------------------------------------------------*/
			/*  Resize the header
			/*-----------------------------------------------------------------------------------*/ 
				$(window).resize(function() {
					setHeight();
				});
			/*-----------------------------------------------------------------------------------*/
			/*  Scroll To Top
			/*-----------------------------------------------------------------------------------*/ 
				$(window).scroll(function(){
					if ($(this).scrollTop() > 700) {
						$('#toTop').fadeIn(300);
					} 
					else {
						$('#toTop').fadeOut(300);
					}
				}); 
				$('#toTop').click(function(){
					$("html, body").animate({ scrollTop: 0 }, 1000);
					return false;
				});
			
		}
		
	});
	
})(jQuery);